<ion-content class="register">
    <!-- TITLE -->
    <ion-grid
        class="register__header pb-18 has-background-primary-fade radius-br-116"
    >
        <!-- Logo -->
        <ion-row class="ion-justify-content-center ion-margin-bottom mt-15">
            <ion-col size="6">
                <ion-img
                    src="assets/img/logo_full.svg"
                    alt="Idermato"
                    title="Idermato"
                    class="ion-margin-top register__header__logo"
                >
                </ion-img>
            </ion-col>
        </ion-row>
        <!-- Sign in/ Sign up -->
        <ion-row
            class="ion-justify-content-center ion-padding-vertical size-20 has-text-secondary"
        >
            <ion-col size="auto" class="is-green-dark">
                <app-link [link]="'/login'" [name]="'Se connecter'"></app-link>
            </ion-col>
            <ion-col class="ion-margin-horizontal" size="auto">
                <ion-label>|</ion-label>
            </ion-col>
            <ion-col size="auto" class="is-white">
                <app-link
                    [isActive]="true"
                    [link]="'/register'"
                    [name]="'S\'inscrire'"
                ></app-link>
            </ion-col>
        </ion-row>
    </ion-grid>
    <!-- MAIN CONTENT -->
    <ion-row class="has-background-primary-fade">
        <ion-col size="auto" class="ion-no-padding has-background-white">
            <div
                class="register__decoration width-20 height-350 has-background-primary-fade border-0 border-solid border-bottom-white border-bottom-15 border-left-20"
            ></div>
        </ion-col>
        <!-- Form -->
        <ion-col
            class="ion-no-padding ion-no-margin ion-no-border has-border-white radius-tl-30 has-background-white"
        >
            <app-user-infos
                class="ion-no-margin ion-no-padding is-silver"
                [isReadOnly]="isReadonly"
                [loading]="loading"
                (submit)="register($event)"
                mode="create"
            ></app-user-infos>
        </ion-col>
        <ion-col
            size="auto"
            class="ion-no-padding ion-no-border has-background-white"
        >
            <div class="width-20 height-300"></div>
        </ion-col>
    </ion-row>
    <!-- Sign up -->
    <div class="ion-text-center mt-56 mb-87">
        <ion-text class="weight-400 size-12" color="pale-grey-thin">
            Vous avez un compte ?
            <a [routerLink]="'/login'" class="is-lime-green-dark">
                CONNECTEZ-VOUS
            </a>
        </ion-text>
    </div>
</ion-content>
